/****************************************************************************
**
** Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
** Contact: http://www.qt-project.org/legal
**
** This file is part of the Qt Quick Controls module of the Qt Toolkit.
**
** $QT_BEGIN_LICENSE:LGPL$
** Commercial License Usage
** Licensees holding valid commercial Qt licenses may use this file in
** accordance with the commercial license agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and Digia.  For licensing terms and
** conditions see http://qt.digia.com/licensing.  For further information
** use the contact form at http://qt.digia.com/contact-us.
**
** GNU Lesser General Public License Usage
** Alternatively, this file may be used under the terms of the GNU Lesser
** General Public License version 2.1 as published by the Free Software
** Foundation and appearing in the file LICENSE.LGPL included in the
** packaging of this file.  Please review the following information to
** ensure the GNU Lesser General Public License version 2.1 requirements
** will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
**
** In addition, as a special exception, Digia gives you certain additional
** rights.  These rights are described in the Digia Qt LGPL Exception
** version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU
** General Public License version 3.0 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.  Please review the following information to
** ensure the GNU General Public License version 3.0 requirements will be
** met: http://www.gnu.org/copyleft/gpl.html.
**
**
** $QT_END_LICENSE$
**
****************************************************************************/

#ifndef QT_QUICK_CONTROLS_EXAMPLEMAIN_H
#define QT_QUICK_CONTROLS_EXAMPLEMAIN_H

#include <QtQml>
#include <QtQuick/QQuickView>
#include <QtCore/QString>
#include <QScreen>

#ifndef QT_NO_WIDGETS
#include <QtWidgets/QApplication>
#else
#include <QtGui/QGuiApplication>
#endif

QT_BEGIN_NAMESPACE

#ifndef QT_NO_WIDGETS
#define Application QApplication
#else
#define Application QGuiApplication
#endif

#define QT_QUICK_CONTROLS_EXAMPLE_MAIN(url) \
    int main(int argc, char *argv[]) \
    { \
        Application app(argc, argv); \
    	QScreen* sc = app.primaryScreen(); \
    	if(sc){ \
    		sc->setOrientationUpdateMask(Qt::LandscapeOrientation \
                                 | Qt::PortraitOrientation \
                                 | Qt::InvertedLandscapeOrientation \
                                 | Qt::InvertedPortraitOrientation); \
    	} \
        QQmlApplicationEngine engine(QUrl(#url)); \
        QObject *topLevel = engine.rootObjects().value(0); \
        QQuickWindow *window = qobject_cast<QQuickWindow *>(topLevel); \
        if ( !window ) { \
            qWarning("Error: Your root item has to be a Window."); \
            return -1; \
        } \
        window->showFullScreen(); \
        return app.exec(); \
    }

QT_END_NAMESPACE

#endif // QT_QUICK_CONTROLS_EXAMPLEMAIN_H
