/*
 * Copyright (C) 2013 Lucien Xu <sfietkonstantin@free.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

// This class is autogenerated using themehelper.py
// Any modification done in this file will be overridden

#ifndef NEMOTHEMEBUTTONPRESSEDGRADIENT_H
#define NEMOTHEMEBUTTONPRESSEDGRADIENT_H

#include <QtCore/QObject>
#include <QtGui/QColor>

class NemoThemeButtonPressedGradient: public QObject
{
    Q_OBJECT
    Q_PROPERTY(QColor centerColor READ centerColor NOTIFY centerColorChanged)
    Q_PROPERTY(QColor edgeColor READ edgeColor NOTIFY edgeColorChanged)
    Q_PROPERTY(int width READ width NOTIFY widthChanged)
    Q_PROPERTY(int height READ height NOTIFY heightChanged)
    Q_PROPERTY(double center READ center NOTIFY centerChanged)
    Q_PROPERTY(double edge READ edge NOTIFY edgeChanged)
public:
    explicit NemoThemeButtonPressedGradient(QObject *parent = 0);
    QColor centerColor() const;
    void setCenterColor(const QColor &centerColor);
    QColor edgeColor() const;
    void setEdgeColor(const QColor &edgeColor);
    int width() const;
    void setWidth(int width);
    void setWidthDefault();
    int height() const;
    void setHeight(int height);
    void setHeightDefault();
    double center() const;
    void setCenter(double center);
    void setCenterDefault();
    double edge() const;
    void setEdge(double edge);
    void setEdgeDefault();
Q_SIGNALS:
    void centerColorChanged();
    void edgeColorChanged();
    void widthChanged();
    void heightChanged();
    void centerChanged();
    void edgeChanged();
private:
    QColor m_centerColor;
    QColor m_edgeColor;
    int m_width;
    int m_height;
    double m_center;
    double m_edge;
};

#endif //NEMOTHEMEBUTTONPRESSEDGRADIENT_H
