/*
 * Copyright (C) 2013 Lucien Xu <sfietkonstantin@free.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

// This class is autogenerated using themehelper.py
// Any modification done in this file will be overridden

#include "nemothemefont.h"

NemoThemeFont::NemoThemeFont(QObject *parent)
    : QObject(parent)
    , m_pointSize(24)
    , m_weight(25)
{
}

int NemoThemeFont::pointSize() const
{
    return m_pointSize;
}

void NemoThemeFont::setPointSize(int pointSize)
{
    if (m_pointSize != pointSize) {
        m_pointSize = pointSize;
        emit pointSizeChanged();
    }
}

void NemoThemeFont::setPointSizeDefault()
{
    if (m_pointSize != 24) {
        m_pointSize = 24;
        emit pointSizeChanged();
    }
}

int NemoThemeFont::weight() const
{
    return m_weight;
}

void NemoThemeFont::setWeight(int weight)
{
    if (m_weight != weight) {
        m_weight = weight;
        emit weightChanged();
    }
}

void NemoThemeFont::setWeightDefault()
{
    if (m_weight != 25) {
        m_weight = 25;
        emit weightChanged();
    }
}
