/*
 * Copyright (C) 2013 Lucien Xu <sfietkonstantin@free.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

// This class is autogenerated using themehelper.py
// Any modification done in this file will be overridden

#include "nemothemeheaderdimmer.h"

NemoThemeHeaderDimmer::NemoThemeHeaderDimmer(QObject *parent)
    : QObject(parent)
    , m_height(16)
    , m_startPosition(0)
    , m_endPosition(1.0)
{
}

QColor NemoThemeHeaderDimmer::startColor() const
{
    return m_startColor;
}

void NemoThemeHeaderDimmer::setStartColor(const QColor &startColor)
{
    if (m_startColor != startColor) {
        m_startColor = startColor;
        emit startColorChanged();
    }
}

QColor NemoThemeHeaderDimmer::endColor() const
{
    return m_endColor;
}

void NemoThemeHeaderDimmer::setEndColor(const QColor &endColor)
{
    if (m_endColor != endColor) {
        m_endColor = endColor;
        emit endColorChanged();
    }
}

int NemoThemeHeaderDimmer::height() const
{
    return m_height;
}

void NemoThemeHeaderDimmer::setHeight(int height)
{
    if (m_height != height) {
        m_height = height;
        emit heightChanged();
    }
}

void NemoThemeHeaderDimmer::setHeightDefault()
{
    if (m_height != 16) {
        m_height = 16;
        emit heightChanged();
    }
}

double NemoThemeHeaderDimmer::startPosition() const
{
    return m_startPosition;
}

void NemoThemeHeaderDimmer::setStartPosition(double startPosition)
{
    if (m_startPosition != startPosition) {
        m_startPosition = startPosition;
        emit startPositionChanged();
    }
}

void NemoThemeHeaderDimmer::setStartPositionDefault()
{
    if (m_startPosition != 0) {
        m_startPosition = 0;
        emit startPositionChanged();
    }
}

double NemoThemeHeaderDimmer::endPosition() const
{
    return m_endPosition;
}

void NemoThemeHeaderDimmer::setEndPosition(double endPosition)
{
    if (m_endPosition != endPosition) {
        m_endPosition = endPosition;
        emit endPositionChanged();
    }
}

void NemoThemeHeaderDimmer::setEndPositionDefault()
{
    if (m_endPosition != 1.0) {
        m_endPosition = 1.0;
        emit endPositionChanged();
    }
}
