/*
 * Copyright (C) 2013 Lucien Xu <sfietkonstantin@free.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

// This class is autogenerated using themehelper.py
// Any modification done in this file will be overridden

#ifndef NEMOTHEMEHEADERDIMMER_H
#define NEMOTHEMEHEADERDIMMER_H

#include <QtCore/QObject>
#include <QtGui/QColor>

class NemoThemeHeaderDimmer: public QObject
{
    Q_OBJECT
    Q_PROPERTY(QColor startColor READ startColor NOTIFY startColorChanged)
    Q_PROPERTY(QColor endColor READ endColor NOTIFY endColorChanged)
    Q_PROPERTY(int height READ height NOTIFY heightChanged)
    Q_PROPERTY(double startPosition READ startPosition NOTIFY startPositionChanged)
    Q_PROPERTY(double endPosition READ endPosition NOTIFY endPositionChanged)
public:
    explicit NemoThemeHeaderDimmer(QObject *parent = 0);
    QColor startColor() const;
    void setStartColor(const QColor &startColor);
    QColor endColor() const;
    void setEndColor(const QColor &endColor);
    int height() const;
    void setHeight(int height);
    void setHeightDefault();
    double startPosition() const;
    void setStartPosition(double startPosition);
    void setStartPositionDefault();
    double endPosition() const;
    void setEndPosition(double endPosition);
    void setEndPositionDefault();
Q_SIGNALS:
    void startColorChanged();
    void endColorChanged();
    void heightChanged();
    void startPositionChanged();
    void endPositionChanged();
private:
    QColor m_startColor;
    QColor m_endColor;
    int m_height;
    double m_startPosition;
    double m_endPosition;
};

#endif //NEMOTHEMEHEADERDIMMER_H
